Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
foxit::pdf::CertificateEncryptData Class Reference

## Public Member Functions
| CertificateEncryptData ()
| Constructor.
| CertificateEncryptData (bool is_encrypt_metadata, SecurityHandler::CipherType cipher, const StringArray &envelopes)
| Constructor, with parameters. More...
| CertificateEncryptData (const CertificateEncryptData &other)
| Constructor, with another certificate encrypt data object. More...
bool | operator!= (const CertificateEncryptData &other) const
| Not equal operator. More...
CertificateEncryptData & | operator= (const CertificateEncryptData &other)
| Assign operator. More...
bool | operator== (const CertificateEncryptData &other) const
| Equal operator. More...
void | Set (bool is_encrypt_metadata, SecurityHandler::CipherType cipher, const StringArray &envelopes)
| Set value. More...

## Public Attributes
SecurityHandler::CipherType | cipher
| Cipher type. Please refer to values starting from SecurityHandler::e_CipherRC4 and this should be one of these values except SecurityHandler::e_CipherNone.
StringArray | envelopes
| A string array which specifies an array of certificate envelopes. This array should contains one or more envelopes.
bool | is_encrypt_metadata
| A boolean value to decide whether to encrypt metadata or not. true means to encrypt metadata, and false means not to encrypt metadata.

## Detailed Description

This class represents some data used for class CertificateSecurityHandler.

## Constructor & Destructor Documentation

## ◆ CertificateEncryptData() [1/2]

foxit::pdf::CertificateEncryptData::CertificateEncryptData | ( | bool | is_encrypt_metadata,
|  | SecurityHandler::CipherType | cipher,
|  | const StringArray & | envelopes
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | is_encrypt_metadata | true means to encrypt metadata, and false means not to encrypt metadata.
  [in] | cipher | Cipher type. Please refer to values starting from SecurityHandler::e_CipherRC4 and this should be one of these values except SecurityHandler::e_CipherNone.
  [in] | envelopes | A string array which specifies an array of certificate envelopes. This array should contains one or more envelopes.

## ◆ CertificateEncryptData() [2/2]

foxit::pdf::CertificateEncryptData::CertificateEncryptData | ( | const CertificateEncryptData & | other | ) |
| inline

Constructor, with another certificate encrypt data object.

Parameters

  [in] | other | Another certificate encrypt data object.

## Member Function Documentation

## ◆ operator!=()

bool foxit::pdf::CertificateEncryptData::operator!= | ( | const CertificateEncryptData & | other | ) | const
| inline

Not equal operator.

Parameters

  [in] | other | Another certificate encrypt data object. This function will check if current object is not equal to this one.

Returns
  true means not equal, while false means equal.

## ◆ operator=()

CertificateEncryptData& foxit::pdf::CertificateEncryptData::operator= | ( | const CertificateEncryptData & | other | ) |
| inline

Assign operator.

Parameters

  [in] | other | Another certificate encrypt data object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator==()

bool foxit::pdf::CertificateEncryptData::operator== | ( | const CertificateEncryptData & | other | ) | const
| inline

Equal operator.

Parameters

  [in] | other | Another certificate encrypt data object. This function will check if current object is equal to this one.

Returns
  true means equal, while false means not equal.

## ◆ Set()

void foxit::pdf::CertificateEncryptData::Set | ( | bool | is_encrypt_metadata,
|  | SecurityHandler::CipherType | cipher,
|  | const StringArray & | envelopes
| ) |  |
| inline

Set value.

Parameters

  [in] | is_encrypt_metadata | true means to encrypt metadata, and false means not to encrypt metadata.
  [in] | cipher | Cipher type. Please refer to values starting from SecurityHandler::e_CipherRC4 and this should be one of these values except SecurityHandler::e_CipherNone.
  [in] | envelopes | A string array which specifies an array of certificate envelopes. This array should contains one or more envelopes.

Returns
  None.